Problem with Expo 27


#1

I upgraded a working project to Expo 27 but now XDE just sits on ‘Waiting for packager and tunnel to start’ when I try to open it.
I can still open another project that I have not upgraded.
How do I found out what could have gone wrong?


#2

Hi @pauldolphin - it’s hard to diagnose this issue without more information. Have you tried using exp start instead of using XDE? If that doesn’t work, does EXPO_DEBUG=true exp start give you any more information?


#3

Thanks for responding.

I have managed to get things working – I created a new project then compared the node_modules folder with the one that was failing which highlighted some discrepancies (such as the @expo folder being in a different place).

I copied files across and it is now working.

I think I need to read up on npm/yarn to understand better what should be happening…


closed #4

This topic was automatically closed 15 days after the last reply. New replies are no longer allowed.